=== debian/changelog ===
libopenobex2 (1.5-0maemo3) unstable; urgency=low

  * latest upstream version dd 20110218

 -- Marcel J.E. Mol <marcel@mesa.nl>  Fri, 13 Aug 2010 23:33:35 +0200

libopenobex2 (1.5) unstable; urgency=low

  * latest upstream version
  * bump to libopenobex2 to allow sideways installation with libopenobex1

 -- Marcel J.E. Mol <marcel@mesa.nl>  Fri, 13 Aug 2010 23:33:35 +0200

libopenobex1 (1.4-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mika Linnanoja <mika.linnanoja@nokia.com>  Tue, 19 May 2009 16:27:34 +0300

libopenobex1 (1.4-0maemo3) unstable; urgency=low

  * Backport patch for NULL-check in obex_client.c
  * Fixes: NB#117503 - connectivity-ui-conndlgs crash on sender when BT is
    turned off by the receiver, during an ongoing file transfer

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 18 May 2009 18:14:24 +0300

libopenobex1 (1.4-0maemo2) unstable; urgency=low

  * Fix debug package creation issue caused by compat level change.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  5 Dec 2008 12:25:10 +0000

libopenobex1 (1.4-0maemo1) unstable; urgency=low

  * New upstream release
  * Changes since 1.3 from upstream ChangeLog:
     - Add OBEX_ObjectGetSpace function.
     - Add OBEX_ObjectGetCommand function.
     - Add Bluetooth support for FreeBSD and NetBSD.
     - Add support for using OBEX over IPv6.
     - Add support for Win32 platform.
     - Fix support for document generation.
     - Fix public visible symbols of the libraries.
     - Fix handling of unexpected data from the server.
     - Fix return value interpretation of obex_object_send.
     - Fix obex_object_resume handling if sending fails.
     - Allow suspending before the first packet has been sent.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Sun,  9 Nov 2008 18:18:03 +0000

libopenobex1 (1.3osso5) unstable; urgency=low

  * Remove libbluetooth dependency to keep package purely under the LGPL 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 12 Jul 2007 05:47:31 +0300

libopenobex1 (1.3osso4) unstable; urgency=low

  * Fix debug package creation. Fixes: NB#48873 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  1 Dec 2006 14:10:45 +0200

libopenobex1 (1.3osso3) unstable; urgency=low

  * Better sanity check for length headers. Fixes: #NB42704 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 13 Oct 2006 16:11:28 +0300

libopenobex1 (1.3osso2) unstable; urgency=low

  * Add libopenobex1-dbg debug package 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 19 Sep 2006 14:32:54 +0300

libopenobex1 (1.3osso1) unstable; urgency=low

  * Updated libbluetooth dependency

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 27 Jul 2006 13:35:12 +0300

libopenobex1 (1.3) unstable; urgency=low

  * New upstream version

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 21 Jun 2006 12:49:25 +0300

libopenobex1 (1.2) unstable; urgency=low

  * Upstream 1.2 version
  * Packages renamed to libopenobex1 and libopenobex1-dev 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 23 Mar 2006 00:49:40 +0200

libopenobex1.1 (1.1-osso3) unstable; urgency=low

  * Add missing cdbs build-depends 

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 16 Feb 2006 19:16:01 +0200

libopenobex1.1 (1.1-osso2) unstable; urgency=low

  * Add libbluetooth1-dev dependency to openobex1.1-dev

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 16 Feb 2006 15:08:39 +0200

libopenobex1.1 (1.1-osso1) unstable; urgency=low

  * Unmodified version 1.1 of openobex

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 14 Feb 2006 15:58:02 +0200

libopenobex1.0 (1:1.0.0-rel-3) unstable; urgency=low

  * Acknowledge NMU.
  * Restored big-endian patch.
  * Add patch for obex_server.c to detect a read when object deleted.

 -- Edd Dumbill <ejad@debian.org>  Fri,  4 Jun 2004 00:51:04 +0100

libopenobex1.0 (1:1.0.0-rel-2.1) unstable; urgency=low
 
   * NMU if the maintainer does not react
   * Restored the Testing version with an epoched version because
     libopenobex1.0.1 is another library generation (closes: #214471)
  
 -- Eduard Bloch <blade@debian.org>  Sun, 12 Oct 2003 15:49:25 +0200

libopenobex1.0 (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Changed section of libopenobex-dev to 'libdevel'
  * Remove big-endian patch: now incorporated upstream.

 -- Edd Dumbill <ejad@debian.org>  Mon,  6 Oct 2003 13:37:48 +0100

libopenobex1.0 (1.0.0-rel-2) unstable; urgency=low

  * Moved to Colin's Build System
  * Incorporate patch from CVS to fix Bluetooth use on big-endian
    systems (thanks Marcel Holtmann)

 -- Edd Dumbill <ejad@debian.org>  Sun, 23 Mar 2003 14:53:33 +0000

libopenobex1.0 (1.0.0-rel-1) unstable; urgency=low

  * New upstream release

 -- Edd Dumbill <ejad@debian.org>  Mon,  2 Dec 2002 20:22:01 +0000

libopenobex1.0 (1.0.0-pre5-1) unstable; urgency=low

  * Unreleased.
  * New upstream release (Closes: #167327)
    - supports Bluetooth transport layer
    - removes dependency on glib-1.2
  * Renamed packages as source & binary compatibility broken from earlier
    releases.  Used scheme as per Junichi Uekawa's library packaging
    guide.

 -- Edd Dumbill <ejad@debian.org>  Sun, 17 Nov 2002 17:51:25 +0000

libopenobex (0.9.8-7) unstable; urgency=low
 
  * Make openobex-config output includes and libs for bringing in
    the glib dependencies (Closes: #170090)
 
 -- Edd Dumbill <ejad@debian.org>  Thu, 21 Nov 2002 22:57:42 +0000
 

libopenobex (0.9.8-6) unstable; urgency=low
 
  * Fixed the .so files to be in the right packages
  * Updated standards version to 3.5.8
  * Added Section to the source description
 
 -- Edd Dumbill <ejad@debian.org>  Mon, 18 Nov 2002 01:50:22 +0000

libopenobex (0.9.8-5) unstable; urgency=low

  * New maintainer
  * Added shlibs file
  * Added simple manpage for openobex-config

 -- Edd Dumbill <ejad@debian.org>  Mon, 18 Nov 2002 00:33:25 +0000

libopenobex (0.9.8-4) unstable; urgency=low


