=== debian/control ===
Source: libopenobex2
Priority: optional
Section: admin
Maintainer: Johan Hedberg <johan.hedberg@nokia.com>
Build-Depends: debhelper (>> 4.0.0), autotools-dev, cdbs
Standards-Version: 3.7.2

Package: libopenobex2-dev
Section: libdevel
Architecture: any
Depends: libopenobex2 (= ${binary:Version}), libc6-dev | libc-dev
Description: OBEX protocol library - development files
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.
 .
 This package contains the development files.

Package: libopenobex2
Section: libs
Depends: ${shlibs:Depends}
Architecture: any
Description: OBEX protocol library
 The Object Exchange protocol can best be described as binary HTTP.
 OBEX is optimised for ad-hoc wireless links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard).
 .
 OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
 phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
 Nokia NM207 and Nokia 9110 Communicator.

Package: libopenobex2-dbg
Section: libdevel
Architecture: any
Depends: libopenobex2 (= ${binary:Version})
Description: Debug symbols for libopenobex2
 This package contains debug symbols for the libopenobex2 package.
